# add_products_from_openfoodfacts.py
# Uruchom w katalogu z app.py

import urllib.request
import json
from app import db, SuggestedProduct, app

# URL do pobrania polskich produktów (tylko nazwy)
url = 'https://pl.openfoodfacts.org/cgi/search.pl?search_simple=1&action=process&json=1&fields=product_name&page_size=1000'

with urllib.request.urlopen(url) as response:
    data = json.loads(response.read())

produkty = []
for prod in data.get('products', []):
    name = prod.get('product_name', '').strip()
    if name:
        produkty.append(name)

print(f"Znaleziono {len(produkty)} produktów do dodania.")

dodane = 0
with app.app_context():
    for name in produkty:
        if not SuggestedProduct.query.filter_by(name=name).first():
            prod = SuggestedProduct(name=name)
            db.session.add(prod)
            dodane += 1
    db.session.commit()

print(f'Dodano {dodane} produktów do bazy.')
